%global modname colander

Name:           python-%{modname}
Version:        2.0
Release:    3%{?dist}
Summary:        Simple schema-based serialization and deserialization library

License:        BSD
URL:            https://pypi.python.org/pypi/colander
Source0:        https://github.com/Pylons/colander/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
An extensible package which can be used to:\
\
- deserialize and validate a data structure composed of strings, mappings,\
  and lists.\
- serialize an arbitrary data structure to a data structure composed of\
  strings, mappings, and lists.


%description %{_description}


%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel


%description -n python3-%{modname} %{_description}
Python 3 version.


%prep
%autosetup -p1 -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x testing


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files colander

%check
%pytest


%files -n python3-%{modname} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst CONTRIBUTORS.txt CHANGES.rst docs

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-1
- initial build
